Patchwork [v3] gupnp_0.13.4/gupnp-av_0.5.9: disable introspection

login
register
mail settings
Submitter Steffen Sledz
Date March 8, 2011, 12:54 p.m.
Message ID <1299588887-18797-1-git-send-email-sledz@dresearch.de>
Download mbox | patch
Permalink /patch/1203/
State Accepted
Headers show

Comments

Steffen Sledz - March 8, 2011, 12:54 p.m.
Introspection uses host tools within compile stage. Missing tools or
tools of wrong version result in errors like

|   GEN    GUPnP-1.0.gir
| Couldn't find include 'Soup-2.4.gir' (search path: ...)

or

|   GEN    GUPnP-1.0.gir
| /usr/share/gir-1.0/Soup-2.4.gir: Incompatible version 1.0 (supported: 1.2)

Signed-off-by: Steffen Sledz <sledz@dresearch.de>
---
 recipes/upnp/gupnp-av_0.5.9.bb |    3 +++
 recipes/upnp/gupnp_0.13.4.bb   |    3 ++-
 2 files changed, 5 insertions(+), 1 deletions(-)
Tom Rini - March 8, 2011, 2:08 p.m.
On 03/08/2011 05:54 AM, Steffen Sledz wrote:
> Introspection uses host tools within compile stage. Missing tools or
> tools of wrong version result in errors like
>
> |   GEN    GUPnP-1.0.gir
> | Couldn't find include 'Soup-2.4.gir' (search path: ...)
>
> or
>
> |   GEN    GUPnP-1.0.gir
> | /usr/share/gir-1.0/Soup-2.4.gir: Incompatible version 1.0 (supported: 1.2)
>
> Signed-off-by: Steffen Sledz<sledz@dresearch.de>

Acked-by: Tom Rini <tom_rini@mentor.com>

> ---
>   recipes/upnp/gupnp-av_0.5.9.bb |    3 +++
>   recipes/upnp/gupnp_0.13.4.bb   |    3 ++-
>   2 files changed, 5 insertions(+), 1 deletions(-)
>
> diff --git a/recipes/upnp/gupnp-av_0.5.9.bb b/recipes/upnp/gupnp-av_0.5.9.bb
> index 0370e91..f3e1d50 100644
> --- a/recipes/upnp/gupnp-av_0.5.9.bb
> +++ b/recipes/upnp/gupnp-av_0.5.9.bb
> @@ -2,8 +2,11 @@ LICENSE = "LGPL"
>   DEPENDS = "gupnp"
>
>   require gupnp.inc
> +PR = "r1"
>
>   SRC_URI[md5sum] = "5940df3c1152894685c3fc38ee95fd78"
>   SRC_URI[sha256sum] = "a909129997f79dcb6d35221ce205854d64c47a7390843e420cfba753485087bd"
>
>   inherit autotools pkgconfig
> +
> +EXTRA_OECONF = "--enable-introspection=no"
> diff --git a/recipes/upnp/gupnp_0.13.4.bb b/recipes/upnp/gupnp_0.13.4.bb
> index 07266a1..54c62ea 100644
> --- a/recipes/upnp/gupnp_0.13.4.bb
> +++ b/recipes/upnp/gupnp_0.13.4.bb
> @@ -2,13 +2,14 @@ LICENSE = "LGPL"
>   DEPENDS = "e2fsprogs gssdp libsoup-2.4 libxml2 gtk-doc-native libgee"
>
>   require gupnp.inc
> +PR = "r1"
>
>   SRC_URI[md5sum] = "0d562f5f02534c70c3743b2c514db8ba"
>   SRC_URI[sha256sum] = "7974953f38a41236c875c3df509abc43e8218b5925fdc18212a73b1ae0d0e7e8"
>
>   inherit autotools pkgconfig
>
> -EXTRA_OECONF = "--disable-gtk-doc"
> +EXTRA_OECONF = "--disable-gtk-doc --enable-introspection=no"
>
>   do_configure() {
>   	libtoolize --force
Koen Kooi - March 8, 2011, 2:34 p.m.
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 08-03-11 13:54, Steffen Sledz wrote:
> Introspection uses host tools within compile stage. Missing tools or
> tools of wrong version result in errors like
> 
> |   GEN    GUPnP-1.0.gir
> | Couldn't find include 'Soup-2.4.gir' (search path: ...)
> 
> or
> 
> |   GEN    GUPnP-1.0.gir
> | /usr/share/gir-1.0/Soup-2.4.gir: Incompatible version 1.0 (supported: 1.2)
> 
> Signed-off-by: Steffen Sledz <sledz@dresearch.de>

Acked-by: Koen Kooi <koen@dominion.thruhere.net>

> ---
>  recipes/upnp/gupnp-av_0.5.9.bb |    3 +++
>  recipes/upnp/gupnp_0.13.4.bb   |    3 ++-
>  2 files changed, 5 insertions(+), 1 deletions(-)
> 
> diff --git a/recipes/upnp/gupnp-av_0.5.9.bb b/recipes/upnp/gupnp-av_0.5.9.bb
> index 0370e91..f3e1d50 100644
> --- a/recipes/upnp/gupnp-av_0.5.9.bb
> +++ b/recipes/upnp/gupnp-av_0.5.9.bb
> @@ -2,8 +2,11 @@ LICENSE = "LGPL"
>  DEPENDS = "gupnp"
>  
>  require gupnp.inc
> +PR = "r1"
>  
>  SRC_URI[md5sum] = "5940df3c1152894685c3fc38ee95fd78"
>  SRC_URI[sha256sum] = "a909129997f79dcb6d35221ce205854d64c47a7390843e420cfba753485087bd"
>  
>  inherit autotools pkgconfig
> +
> +EXTRA_OECONF = "--enable-introspection=no"
> diff --git a/recipes/upnp/gupnp_0.13.4.bb b/recipes/upnp/gupnp_0.13.4.bb
> index 07266a1..54c62ea 100644
> --- a/recipes/upnp/gupnp_0.13.4.bb
> +++ b/recipes/upnp/gupnp_0.13.4.bb
> @@ -2,13 +2,14 @@ LICENSE = "LGPL"
>  DEPENDS = "e2fsprogs gssdp libsoup-2.4 libxml2 gtk-doc-native libgee"
>  
>  require gupnp.inc
> +PR = "r1"
>  
>  SRC_URI[md5sum] = "0d562f5f02534c70c3743b2c514db8ba"
>  SRC_URI[sha256sum] = "7974953f38a41236c875c3df509abc43e8218b5925fdc18212a73b1ae0d0e7e8"
>  
>  inherit autotools pkgconfig
>  
> -EXTRA_OECONF = "--disable-gtk-doc"
> +EXTRA_OECONF = "--disable-gtk-doc --enable-introspection=no"
>  
>  do_configure() {
>  	libtoolize --force

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)

iD8DBQFNdj6KMkyGM64RGpERAr0yAJ9h1jGsGXsPvrVpxl4nU3QBBisCQgCdGJYz
bQmbubPaE1llFQXEY74wkMk=
=WDeX
-----END PGP SIGNATURE-----

Patch

diff --git a/recipes/upnp/gupnp-av_0.5.9.bb b/recipes/upnp/gupnp-av_0.5.9.bb
index 0370e91..f3e1d50 100644
--- a/recipes/upnp/gupnp-av_0.5.9.bb
+++ b/recipes/upnp/gupnp-av_0.5.9.bb
@@ -2,8 +2,11 @@  LICENSE = "LGPL"
 DEPENDS = "gupnp"
 
 require gupnp.inc
+PR = "r1"
 
 SRC_URI[md5sum] = "5940df3c1152894685c3fc38ee95fd78"
 SRC_URI[sha256sum] = "a909129997f79dcb6d35221ce205854d64c47a7390843e420cfba753485087bd"
 
 inherit autotools pkgconfig
+
+EXTRA_OECONF = "--enable-introspection=no"
diff --git a/recipes/upnp/gupnp_0.13.4.bb b/recipes/upnp/gupnp_0.13.4.bb
index 07266a1..54c62ea 100644
--- a/recipes/upnp/gupnp_0.13.4.bb
+++ b/recipes/upnp/gupnp_0.13.4.bb
@@ -2,13 +2,14 @@  LICENSE = "LGPL"
 DEPENDS = "e2fsprogs gssdp libsoup-2.4 libxml2 gtk-doc-native libgee"
 
 require gupnp.inc
+PR = "r1"
 
 SRC_URI[md5sum] = "0d562f5f02534c70c3743b2c514db8ba"
 SRC_URI[sha256sum] = "7974953f38a41236c875c3df509abc43e8218b5925fdc18212a73b1ae0d0e7e8"
 
 inherit autotools pkgconfig
 
-EXTRA_OECONF = "--disable-gtk-doc"
+EXTRA_OECONF = "--disable-gtk-doc --enable-introspection=no"
 
 do_configure() {
 	libtoolize --force